| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions | Variables
CMSSWScenario Namespace Reference

## Functions
def | load_CMSSW_scenario (filename)

## Variables
int | NUMBEROFEVENTS = 1
int | NUMBEROFEVENTSINFLIGHT = 1
int | NUMBEROFALGOSINFLIGHT = 1000
int | NUMBEROFTHREADS = 1
| CLONEALGOS = False
| DUMPQUEUES = False
int | VERBOSITY = 3
| NumberOfEvents = NUMBEROFEVENTS
| NumberOfEventsInFlight = NUMBEROFEVENTSINFLIGHT
| NumberOfAlgosInFlight = NUMBEROFALGOSINFLIGHT
| NumberOfThreads = NUMBEROFTHREADS
| CloneAlgos = CLONEALGOS
| DumpQueues = DUMPQUEUES
| Verbosity = VERBOSITY
tuple | ms = MessageSvc()
tuple | evtloop = HiveEventLoopMgr()
tuple | app = ApplicationMgr()

## Function Documentation

def CMSSWScenario.load_CMSSW_scenario | ( |  | filename | ) |

Definition at line 29 of file CMSSWScenario.py.

29 def load_CMSSW_scenario(filename):
30 data = open(filename).read()
31 workflow = eval(data)
32 cpu_cruncher_algos = []
33 cpu_cruncher_algos_inputs = []
34 all_outputs = set()
35 all_inputs = set()
36 for algo in workflow["process"]["producers"]:
37 # in the next two lines replace the slash as that is a reserved character in the data store
38 inputs = [ item["label"].replace("/","_") for item in algo["toGet"] ]
39 outputs = [algo["@label"].replace("/","_"),]
40 new_algo = CPUCruncher(algo["@label"],
41 avgRuntime=float(algo["eventTimes"][0]),
42 DataInputs = inputs,
43 DataOutputs = outputs
44 )
45
46 cpu_cruncher_algos.append(new_algo)
47 all_outputs.update(outputs)
48 all_inputs.update(inputs)
49 cpu_cruncher_algos_inputs.append(inputs)
50
51 #look for the objects that haven't been provided within the job. Assume this needs to come via input
52 new_algo = CPUCruncher("input",
53 avgRuntime=1,
54 DataInputs=[],
55 DataOutputs=[item for item in all_inputs.difference(all_outputs)]
56 )
57 cpu_cruncher_algos.append(new_algo)
58 cpu_cruncher_algos_inputs.append([])
59
60 print [item for item in all_inputs.difference(all_outputs)]
61 return cpu_cruncher_algos,cpu_cruncher_algos_inputs
62
63 # Set output level threshold 2=DEBUG, 3=INFO, 4=WARNING, 5=ERROR, 6=FATAL )
CMSSWScenario.load_CMSSW_scenario
def load_CMSSW_scenario(filename)
Definition: CMSSWScenario.py:29
CPUCruncher
Definition: CPUCruncher.py:1

## Variable Documentation

tuple CMSSWScenario.app = ApplicationMgr()

Definition at line 79 of file CMSSWScenario.py.

CMSSWScenario.CLONEALGOS = False

Definition at line 15 of file CMSSWScenario.py.

CMSSWScenario.CloneAlgos = CLONEALGOS

Definition at line 24 of file CMSSWScenario.py.

CMSSWScenario.DUMPQUEUES = False

Definition at line 16 of file CMSSWScenario.py.

CMSSWScenario.DumpQueues = DUMPQUEUES

Definition at line 25 of file CMSSWScenario.py.

tuple CMSSWScenario.evtloop = HiveEventLoopMgr()

Definition at line 70 of file CMSSWScenario.py.

tuple CMSSWScenario.ms = MessageSvc()

Definition at line 64 of file CMSSWScenario.py.

int CMSSWScenario.NUMBEROFALGOSINFLIGHT = 1000

Definition at line 13 of file CMSSWScenario.py.

CMSSWScenario.NumberOfAlgosInFlight = NUMBEROFALGOSINFLIGHT

Definition at line 22 of file CMSSWScenario.py.

int CMSSWScenario.NUMBEROFEVENTS = 1

Definition at line 11 of file CMSSWScenario.py.

CMSSWScenario.NumberOfEvents = NUMBEROFEVENTS

Definition at line 20 of file CMSSWScenario.py.

int CMSSWScenario.NUMBEROFEVENTSINFLIGHT = 1

Definition at line 12 of file CMSSWScenario.py.

CMSSWScenario.NumberOfEventsInFlight = NUMBEROFEVENTSINFLIGHT

Definition at line 21 of file CMSSWScenario.py.

int CMSSWScenario.NUMBEROFTHREADS = 1

Definition at line 14 of file CMSSWScenario.py.

CMSSWScenario.NumberOfThreads = NUMBEROFTHREADS

Definition at line 23 of file CMSSWScenario.py.

int CMSSWScenario.VERBOSITY = 3

Definition at line 17 of file CMSSWScenario.py.

CMSSWScenario.Verbosity = VERBOSITY

Definition at line 26 of file CMSSWScenario.py.